<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>{{ config('app.name', 'Compras del MPS') }}</title>
        <script src="https://kit.fontawesome.com/9235d1c676.js" crossorigin="anonymous"></script>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.3/css/bulma.min.css">
        <link rel="stylesheet" href="{{ asset('css/app.css') }}">
    </head>
    <body>
        <nav class="navbar is-danger" role="navigation" aria-label="main navigation">
            <div class="navbar-brand">
              <a class="navbar-item" href="https://mps.org.uy">
                <img src="/assets/logoMPS.png" height="28">
              </a>
              <a class="navbar-item" href="login">
                <span class="icon">
                  <i class="fas fa-user"></i>
                </span>
                <span>Hacer pedido</span>
                </a>
            </div>
        </nav>
        <section class="section">

        <div id="root" class="container">
          <div class="block">
            <h1 class="title">
              Ingresar como admin
            </h1>
            <p class="subtitle">
              Ingresa aquí para aprobar los pedidos de tus compas del barrio una vez que te hayan transferido el pago.
            </p>
            @error('name')
              <div class="notification is-danger">
                Contraseña incorrecta, intentalo nuevamente.
              </div>
            @enderror
            <region-select></region-select>
            <form method="post" action="login">
              @csrf
              <barrio-select></barrio-select>
              <admin-login></admin-login>
            </form>
          </div>
        </div>
      </section>
      <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
      <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
      <script src="{{ asset('js/login.js') }}" defer></script>
    </body>
</html>
